//Import the needed FastLED library
#include <FastLED.h>
 
//These variables allow you to specify how the strip will behave
#define NUM_LEDS 12  //This number decides how many of the strip's LEDs the code will use
const int ledLength = 1; //This number decides how many LEDs will be turned on at once
 
//Define and initiate global variables
CRGB leds[NUM_LEDS];
#define DATA_PIN 16
int sensorPin = 7;
int ledValue; 
int sensorValue;
 
void setup() {
  // initiate the LED strip
  FastLED.addLeds<WS2811, DATA_PIN>(leds, NUM_LEDS).setCorrection( TypicalLEDStrip );
}
 
void loop() {
  //Read value from any sensor
  sensorValue = analogRead(sensorPin);  
 
  //Using the map function, we can take any sesor input  and align it to a location on the LED strip
  ledValue = map(sensorValue, 1023, 0, 0, NUM_LEDS);
 
  //Clear previous configuration
  FastLED.clear();
 
  //Set and turn on desired LED
  leds[ledValue] = CRGB::White;
  FastLED.show();
 }
